gratifiant > comp.os.* > comp.os.linux.configuration

gerard patel (04/07/2004, 15h05)
On Sun, 04 Jul 2004 16:26:47 +0200, Just4fun <just4fun>
wrote:

>j'essaie de faire tourner amule sur ma machine MDK9.2 je reçois ce message
>amule: error while loading shared libraries: libwx_gtk-2.4.so.0: cannot open
>shared object file: No such file or directory


Essayez d'apprendre les outils de votre distribution. urpmf permet
de trouver un fichier dans les paquetages de la distribution.

Essayer urpmf libwx_gtk-2.4 et urpmf libwx_gtk; si l'un ne retourne
rien et l'autre si, c'est que la version de libwx_gtk a changé.

Si c'est le cas, il faudra installer une version de votre application
compatible avec la nouvelle librairie; ou essayer d'installer/compiler
une ancienne version de l'application; ou essayer de faire un lien
symbolique de la nouvelle librairie vers le nom de l'ancienne (peut
ne pas marcher si la nouvelle librairie n'est pas compatible avec
l'ancienne)

Gérard Patel
JOKE (04/07/2004, 15h44)
"gerard patel" <g.patel> a écrit dans le message de
news:6438
[..]
> ne pas marcher si la nouvelle librairie n'est pas compatible avec
> l'ancienne)
> Gérard Patel


Sorry j'ai pas tout compris ? ai fait les 2 manip's mais pas compris le
reste merci de m'expliquer . . . comme à un bleu

[robert@lsne-catv-dhcp-13-88 robert]$ urpmf libwx_gtk-2.4
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0.0.0
libwxPythonGTK2.4-devel:/usr/lib/wxPython/lib/libwx_gtk-2.4.so
[robert@lsne-catv-dhcp-13-88 robert]$ urpmf libwx_gtk
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0.0.0
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk_gl-2.4.so.0
libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk_gl-2.4.so.0.0.0
libwxPythonGTK2.4-devel:/usr/lib/wxPython/lib/libwx_gtk-2.4.so
libwxPythonGTK2.4-devel:/usr/lib/wxPython/lib/libwx_gtk_gl-2.4.so
[robert@lsne-catv-dhcp-13-88 robert]$
Just4fun (04/07/2004, 16h26)
Hello

j'essaie de faire tourner amule sur ma machine MDK9.2 je reçois ce message

amule: error while loading shared libraries: libwx_gtk-2.4.so.0: cannot open
shared object file: No such file or directory

J'ai essayé ce que l'on touve ici


sans succès

J'ai un AMD K6 qui tourne (à merveille) avec MDK9.1 avec amule j'ai tenté
de comprendre avec cette machine mais je ne m'y retrouve pas.

y-a-t-i quelqu'un qui a une info ?
gerard patel (04/07/2004, 17h04)
On Sun, 4 Jul 2004 15:44:23 +0200, "JOKE" <JOKE> wrote:

(...)
>[robert@lsne-catv-dhcp-13-88 robert]$ urpmf libwx_gtk-2.4
>libwxPythonGTK2.4:/usr/lib/wxPython/lib/libwx_gtk-2.4.so.0


bon, voilà un fichier qui semble correspondre à ce qu'il cherche;
d'abord est ce que le paquetage correspondant est installé ?

Gérard Patel
Rakotomandimby Mihamina (04/07/2004, 17h15)
JOKE wrote:
> Sorry j'ai pas tout compris ? ai fait les 2 manip's mais pas compris le
> reste merci de m'expliquer . . . comme à un bleu


- lire 'man urpmf' : ca te permettra de savoir
interpreter le resultat de cette commande.

> libwxPythonGTK2.4
> libwxPythonGTK2.4-devel


- lire 'man urpmi' et installer au moins le premier package sus-cité, et
eventuellement le deuxieme si ca ne marche pas.

PS : C'est bien de lire et de faire ce qui est dit sur les site (quoi
que le site commentcamarche m'inspire peu confiance pour les questions
relatives a Linux), mais c'est n'importe quoi de faire aveuglement ce
qu'ils disent. Il faut au moins comprendre ce qu'on fait.
Discussions similaires